#ifndef __STRINGFUN__
#define __STRINGFUN__
#include <string>
using namespace std;
int getNumArgs(string s,char tag=',');
string getArg( int index, string s, char tag=',' );
bool CompareStart(string s, string );
string stripWhiteSpace( string s );
double StringToFloat(string s);
string FloatToString(double value);

void fNameAddNum(string& fileName,int num);
string GetFileExt(string& fileName);//get the extension of file 
void fNameIncNum(string& fileName,int num=1);
void fNameToNum(string& fileName,int number);

void addFilePost(string& fileName,const char* postfix);//add postfix to file before '.'
void addFilePost2(string& fileName,const char* postfix);//add postfix to file before number if exists!


#endif